# std::ios_base::imbue

From cppreference.com
< cpp‎ | io‎ | ios base

std::locale imbue( const std::locale & loc ); |  |

Sets the associated locale of the stream to loc. Before returning, each function, registered by register_callback() is called with `imbue_event` as a parameter.

### Parameters

loc | - | new locale to associate the stream to

### Return value

The locale object associated with the stream before the operation.

### Example

| This section is incomplete Reason: no example

### Defect reports

The following behavior-changing defect reports were applied retroactively to previously published C++ standards.

DR | Applied to | Behavior as published | Correct behavior
--- | --- | --- | ---
LWG 47 | C++98 | the return value was misspecified as the return value of `getloc()` | corrected
LWG 156 | C++98 | the type of loc was `const std::locale` | corrected to `const std::locale&`

### See also

getloc | returns current locale (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/ios_base/imbue&oldid=143536"